<?php
// Include database connection
require_once '../config/database.php';

// Create admin_notifications table if it doesn't exist
$sql = "CREATE TABLE IF NOT EXISTS `admin_notifications` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(50) NOT NULL,
  `title` varchar(100) NOT NULL,
  `message` text NOT NULL,
  `link` varchar(255) DEFAULT NULL,
  `is_read` tinyint(1) NOT NULL DEFAULT 0,
  `created_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;";

if ($conn->query($sql) === TRUE) {
    echo "Tabel admin_notifications berhasil dibuat atau sudah ada<br>";
} else {
    echo "Error saat membuat tabel admin_notifications: " . $conn->error . "<br>";
}

// Check if the notification system is already registered in settings
$check_sql = "SELECT * FROM settings WHERE setting_key = 'notify_admin_new_topup'";
$check_result = $conn->query($check_sql);

if ($check_result->num_rows == 0) {
    // Add notification settings
    $insert_sql = "INSERT INTO settings (setting_key, setting_value) VALUES 
                   ('notify_admin_new_topup', '1'),
                   ('topup_auto_expire_hours', '48')";
                   
    if ($conn->query($insert_sql) === TRUE) {
        echo "Pengaturan notifikasi berhasil ditambahkan<br>";
    } else {
        echo "Error saat menambahkan pengaturan notifikasi: " . $conn->error . "<br>";
    }
}

echo "Setup notifikasi admin selesai!";
?>
