            </div>
        </div>
    </div>
    
    <!-- Javascript Files -->
    <script src="../js/bootstrap.bundle.min.js"></script>
    <script src="../js/mdb.min.js"></script>
    
    <script>
    document.addEventListener('DOMContentLoaded', function() {
        // User dropdown toggle
        const userToggle = document.getElementById('adminUserToggle');
        const userMenu = document.getElementById('adminUserMenu');
        
        if (userToggle && userMenu) {
            userToggle.addEventListener('click', function() {
                userMenu.classList.toggle('show');
            });
            
            // Close dropdown when clicking outside
            document.addEventListener('click', function(event) {
                if (!userToggle.contains(event.target) && !userMenu.contains(event.target)) {
                    userMenu.classList.remove('show');
                }
            });
        }
        
        // Mobile sidebar toggle
        const sidebarToggle = document.querySelector('.admin-sidebar-toggle');
        const sidebar = document.querySelector('.admin-sidebar');
        const content = document.querySelector('.admin-content');
        
        if (sidebarToggle && sidebar && content) {
            sidebarToggle.addEventListener('click', function() {
                sidebar.classList.toggle('show');
                content.classList.toggle('sidebar-show');
            });
        }
        
        // Responsive handling
        function handleResize() {
            if (window.innerWidth > 992) {
                if (sidebar) sidebar.classList.remove('show');
                if (content) content.classList.remove('sidebar-show');
            }
        }
        
        window.addEventListener('resize', handleResize);
        handleResize();
        
        // Data tables initialization
        const dataTables = document.querySelectorAll('.admin-datatable');
        if (dataTables.length > 0 && typeof $.fn !== 'undefined' && typeof $.fn.DataTable !== 'undefined') {
            dataTables.forEach(table => {
                $(table).DataTable({
                    responsive: true,
                    language: {
                        search: "Cari:",
                        lengthMenu: "Tampilkan _MENU_ data",
                        info: "Menampilkan _START_ sampai _END_ dari _TOTAL_ data",
                        infoEmpty: "Menampilkan 0 sampai 0 dari 0 data",
                        infoFiltered: "(disaring dari _MAX_ total data)",
                        zeroRecords: "Tidak ada data yang cocok",
                        paginate: {
                            first: "Pertama",
                            last: "Terakhir",
                            next: "Selanjutnya",
                            previous: "Sebelumnya"
                        }
                    }
                });
            });
        }
        
        // Form validation
        const forms = document.querySelectorAll('.needs-validation');
        if (forms.length > 0) {
            Array.from(forms).forEach(form => {
                form.addEventListener('submit', event => {
                    if (!form.checkValidity()) {
                        event.preventDefault();
                        event.stopPropagation();
                    }
                    form.classList.add('was-validated');
                }, false);
            });
        }
        
        // Image preview
        const imageInputs = document.querySelectorAll('.admin-image-input');
        if (imageInputs.length > 0) {
            imageInputs.forEach(input => {
                const preview = document.getElementById(input.dataset.preview);
                if (preview) {
                    input.addEventListener('change', function() {
                        if (this.files && this.files[0]) {
                            const reader = new FileReader();
                            reader.onload = function(e) {
                                preview.src = e.target.result;
                                preview.style.display = 'block';
                            }
                            reader.readAsDataURL(this.files[0]);
                        }
                    });
                }
            });
        }
        
        // Confirm delete
        const deleteButtons = document.querySelectorAll('[data-confirm]');
        if (deleteButtons.length > 0) {
            deleteButtons.forEach(button => {
                button.addEventListener('click', function(e) {
                    if (!confirm(this.dataset.confirm)) {
                        e.preventDefault();
                    }
                });
            });
        }
    });
    </script>
    
    <style>
    /* Admin Sidebar */
    .admin-sidebar {
        width: 250px;
        background-color: #1A1A1A;
        position: fixed;
        top: 0;
        left: 0;
        height: 100%;
        overflow-y: auto;
        z-index: 1000;
        transition: all 0.3s ease;
    }
    
    .admin-sidebar-header {
        padding: 20px;
        text-align: center;
        border-bottom: 1px solid rgba(255,255,255,0.1);
    }
    
    .admin-sidebar-menu {
        padding: 20px 0;
    }
    
    .admin-menu-item {
        padding: 12px 20px;
        display: flex;
        align-items: center;
        color: #ffffff;
        text-decoration: none;
        transition: all 0.3s ease;
        border-left: 3px solid transparent;
        position: relative;
    }
    
    .admin-menu-item:hover {
        background-color: rgba(255,255,255,0.1);
        color: #ffffff;
    }
    
    .admin-menu-item.active {
        background-color: rgba(74, 110, 224, 0.2);
        border-left-color: #4a6ee0;
        color: #4a6ee0;
    }
    
    .admin-menu-item i {
        margin-right: 10px;
        width: 20px;
        text-align: center;
    }
    
    .admin-notification-badge {
        position: absolute;
        top: 10px;
        right: 15px;
        background-color: #dc3545;
        color: white;
        border-radius: 50%;
        width: 18px;
        height: 18px;
        font-size: 0.75rem;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    
    /* Admin Content */
    .admin-content {
        flex: 1;
        margin-left: 250px;
        padding: 20px;
        transition: all 0.3s ease;
        background-color: var(--admin-body-bg);
        min-height: 100vh;
    }
    
    /* Admin Topbar */
    .admin-topbar {
        background-color: var(--admin-card-bg);
        padding: 15px 20px;
        border-radius: 8px;
        margin-bottom: 20px;
        display: flex;
        align-items: center;
        justify-content: space-between;
        box-shadow: 0 2px 10px rgba(0,0,0,0.1);
    }
    
    .admin-topbar-left {
        display: flex;
        align-items: center;
    }
    
    .admin-sidebar-toggle {
        background: none;
        border: none;
        color: var(--admin-text-color);
        font-size: 1.25rem;
        cursor: pointer;
        margin-right: 15px;
        display: none;
    }
    
    .admin-topbar-title {
        margin: 0;
        font-size: 1.5rem;
        font-weight: 600;
    }
    
    .admin-topbar-right {
        display: flex;
        align-items: center;
        gap: 15px;
    }
    
    .admin-notification-icon {
        position: relative;
        cursor: pointer;
        font-size: 1.25rem;
        color: var(--admin-text-color);
    }
    
    .admin-user-dropdown {
        position: relative;
    }
    
    .admin-user-toggle {
        display: flex;
        align-items: center;
        cursor: pointer;
    }
    
    .admin-user-menu {
        position: absolute;
        top: 100%;
        right: 0;
        background-color: var(--admin-card-bg);
        border-radius: 8px;
        box-shadow: 0 5px 15px rgba(0,0,0,0.1);
        padding: 10px 0;
        min-width: 200px;
        z-index: 1000;
        display: none;
    }
    
    .admin-user-menu.show {
        display: block;
    }
    
    .admin-user-menu a {
        display: block;
        padding: 8px 20px;
        color: var(--admin-text-color);
        text-decoration: none;
        transition: all 0.3s ease;
    }
    
    .admin-user-menu a:hover {
        background-color: rgba(0,0,0,0.05);
    }
    
    .admin-user-menu hr {
        margin: 5px 0;
        opacity: 0.1;
    }
    
    /* Responsive */
    @media (max-width: 992px) {
        .admin-sidebar {
            transform: translateX(-100%);
        }
        
        .admin-content {
            margin-left: 0;
        }
        
        .admin-sidebar.show {
            transform: translateX(0);
        }
        
        .admin-content.sidebar-show {
            margin-left: 250px;
        }
        
        .admin-sidebar-toggle {
            display: block;
        }
    }
    </style>
    
    <?php if (isset($page_specific_js)): ?>
        <?php echo $page_specific_js; ?>
    <?php endif; ?>
</body>
</html>