<?php
/**
 * How It Works Section Component for Index Page
 * LelangMobil Web App - Versi 2025
 */
?>

<!-- How It Works Section -->
<section class="how-it-works-section section-padding bg-light" id="how-it-works">
    <div class="container">
        <div class="section-title text-center" data-aos="fade-up">
            <span class="section-subtitle">Cara Kerja</span>
            <h2>Proses Lelang yang Mudah dan Transparan</h2>
            <p>Platform lelang kami dirancang untuk memberikan pengalaman yang mudah dan menyenangkan</p>
        </div>
        
        <!-- Timeline Process -->
        <div class="timeline-process">
            <!-- Step 1 -->
            <div class="timeline-item" data-aos="fade-up" data-aos-delay="100">
                <div class="timeline-dot">
                    <span>1</span>
                </div>
                <div class="timeline-content">
                    <div class="timeline-card">
                        <div class="timeline-icon">
                            <i class="fas fa-user-plus"></i>
                        </div>
                        <h3>Daftar Akun</h3>
                        <p>Buat akun Anda dengan informasi yang valid dan verifikasi email untuk mengaktifkan akun</p>
                        <a href="register.php" class="btn btn-sm btn-outline-primary mt-3">
                            <i class="fas fa-arrow-right me-2"></i>Daftar Sekarang
                        </a>
                    </div>
                </div>
            </div>
            
            <!-- Step 2 -->
            <div class="timeline-item" data-aos="fade-up" data-aos-delay="200">
                <div class="timeline-dot">
                    <span>2</span>
                </div>
                <div class="timeline-content">
                    <div class="timeline-card">
                        <div class="timeline-icon">
                            <i class="fas fa-wallet"></i>
                        </div>
                        <h3>Top-up Saldo</h3>
                        <p>Isi saldo akun Anda untuk dapat mengajukan penawaran dalam lelang dengan berbagai metode pembayaran</p>
                        <?php if (isset($_SESSION['user_id'])): ?>
                            <a href="account-modern.php#topup" class="btn btn-sm btn-outline-primary mt-3">
                                <i class="fas fa-arrow-right me-2"></i>Top-up Sekarang
                            </a>
                        <?php else: ?>
                            <a href="login.php" class="btn btn-sm btn-outline-primary mt-3">
                                <i class="fas fa-arrow-right me-2"></i>Login untuk Top-up
                            </a>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
            
            <!-- Step 3 -->
            <div class="timeline-item" data-aos="fade-up" data-aos-delay="300">
                <div class="timeline-dot">
                    <span>3</span>
                </div>
                <div class="timeline-content">
                    <div class="timeline-card">
                        <div class="timeline-icon">
                            <i class="fas fa-search"></i>
                        </div>
                        <h3>Pilih Kendaraan</h3>
                        <p>Temukan kendaraan yang sesuai dengan keinginan Anda dari berbagai pilihan yang tersedia</p>
                        <a href="auctions.php" class="btn btn-sm btn-outline-primary mt-3">
                            <i class="fas fa-arrow-right me-2"></i>Lihat Lelang
                        </a>
                    </div>
                </div>
            </div>
            
            <!-- Step 4 -->
            <div class="timeline-item" data-aos="fade-up" data-aos-delay="400">
                <div class="timeline-dot">
                    <span>4</span>
                </div>
                <div class="timeline-content">
                    <div class="timeline-card">
                        <div class="timeline-icon">
                            <i class="fas fa-gavel"></i>
                        </div>
                        <h3>Ajukan Penawaran</h3>
                        <p>Ajukan penawaran Anda untuk kendaraan yang diminati. Saldo akan ditahan selama penawaran aktif</p>
                        <div class="timeline-note mt-2">
                            <small><i class="fas fa-info-circle me-1"></i> Dana akan dikembalikan jika penawaran Anda dikalahkan</small>
                        </div>
                    </div>
                </div>
            </div>
            
            <!-- Step 5 -->
            <div class="timeline-item" data-aos="fade-up" data-aos-delay="500">
                <div class="timeline-dot">
                    <span>5</span>
                </div>
                <div class="timeline-content">
                    <div class="timeline-card">
                        <div class="timeline-icon">
                            <i class="fas fa-trophy"></i>
                        </div>
                        <h3>Menangkan Lelang</h3>
                        <p>Jika penawaran Anda tertinggi saat lelang berakhir, Anda akan menjadi pemenang lelang</p>
                    </div>
                </div>
            </div>
            
            <!-- Step 6 -->
            <div class="timeline-item" data-aos="fade-up" data-aos-delay="600">
                <div class="timeline-dot">
                    <span>6</span>
                </div>
                <div class="timeline-content">
                    <div class="timeline-card">
                        <div class="timeline-icon">
                            <i class="fas fa-car"></i>
                        </div>
                        <h3>Terima Kendaraan</h3>
                        <p>Selesaikan pembayaran dan urus dokumen untuk menerima kendaraan baru Anda</p>
                    </div>
                </div>
            </div>
        </div>
        
        <!-- Call to Action -->
        <div class="text-center mt-5" data-aos="fade-up" data-aos-delay="700">
            <a href="how-it-works.php" class="btn btn-primary btn-lg">
                <i class="fas fa-info-circle me-2"></i>Pelajari Lebih Lanjut
            </a>
        </div>
    </div>
</section>
