<?php
/**
 * Trust Badges
 * LelangMobil Web App - Versi 2025
 */
?>

<div class="trust-badges-container">
    <div class="row">
        <div class="col-lg-3 col-md-6 mb-4">
            <div class="trust-badge-item">
                <div class="trust-badge-icon">
                    <i class="fa fa-shield-alt"></i>
                </div>
                <div class="trust-badge-content">
                    <h4>100% Aman</h4>
                    <p>Transaksi dijamin aman dengan sistem escrow</p>
                </div>
            </div>
        </div>
        
        <div class="col-lg-3 col-md-6 mb-4">
            <div class="trust-badge-item">
                <div class="trust-badge-icon">
                    <i class="fa fa-certificate"></i>
                </div>
                <div class="trust-badge-content">
                    <h4>Kualitas Terjamin</h4>
                    <p>Semua kendaraan telah melalui inspeksi ketat</p>
                </div>
            </div>
        </div>
        
        <div class="col-lg-3 col-md-6 mb-4">
            <div class="trust-badge-item">
                <div class="trust-badge-icon">
                    <i class="fa fa-handshake"></i>
                </div>
                <div class="trust-badge-content">
                    <h4>Transparan</h4>
                    <p>Proses lelang yang jujur dan transparan</p>
                </div>
            </div>
        </div>
        
        <div class="col-lg-3 col-md-6 mb-4">
            <div class="trust-badge-item">
                <div class="trust-badge-icon">
                    <i class="fa fa-headset"></i>
                </div>
                <div class="trust-badge-content">
                    <h4>Dukungan 24/7</h4>
                    <p>Tim dukungan siap membantu kapan saja</p>
                </div>
            </div>
        </div>
    </div>
</div>

<style>
.trust-badges-container {
    margin: 2rem 0;
}

.trust-badge-item {
    display: flex;
    align-items: center;
    padding: 1rem;
    background-color: var(--card-bg);
    border-radius: var(--border-radius);
    box-shadow: var(--box-shadow);
    transition: var(--transition);
    height: 100%;
}

.trust-badge-item:hover {
    transform: translateY(-5px);
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.1);
}

.trust-badge-icon {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    background-color: rgba(74, 110, 224, 0.1);
    color: var(--primary);
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.5rem;
    margin-right: 1rem;
    flex-shrink: 0;
}

.trust-badge-content h4 {
    font-size: 1rem;
    font-weight: 600;
    margin-bottom: 0.25rem;
}

.trust-badge-content p {
    font-size: 0.875rem;
    color: var(--secondary);
    margin-bottom: 0;
}

/* Dark mode support */
body.dark-mode .trust-badge-item {
    background-color: var(--card-bg);
}
</style>