/**
 * Cleanup Script
 * LelangMobil Web App - Versi 2025
 */

document.addEventListener('DOMContentLoaded', function() {
  // Fix any broken images
  const images = document.querySelectorAll('img');
  images.forEach(function(img) {
    img.onerror = function() {
      this.src = 'images/placeholder.png';
      this.onerror = null;
    };
  });
  
  // Ensure all modals can be closed
  const modals = document.querySelectorAll('.modal');
  modals.forEach(function(modal) {
    if (modal.querySelector('.close') === null) {
      const closeBtn = document.createElement('button');
      closeBtn.className = 'close';
      closeBtn.setAttribute('data-dismiss', 'modal');
      closeBtn.setAttribute('aria-label', 'Close');
      closeBtn.innerHTML = '<span aria-hidden="true">&times;</span>';
      
      const modalHeader = modal.querySelector('.modal-header');
      if (modalHeader) {
        modalHeader.appendChild(closeBtn);
      }
    }
  });
  
  // Fix any stuck hover states on mobile
  document.addEventListener('touchend', function() {
    // This empty handler will ensure hover states are removed on touch devices
  });
});