-- Add reset_token and reset_token_expiry columns to users table if they don't exist
ALTER TABLE users 
ADD COLUMN IF NOT EXISTS reset_token VARCHAR(100) NULL,
ADD COLUMN IF NOT EXISTS reset_token_expiry DATETIME NULL;

-- Add verification_token and token_expiry columns to users table if they don't exist
ALTER TABLE users 
ADD COLUMN IF NOT EXISTS verification_token VARCHAR(100) NULL,
ADD COLUMN IF NOT EXISTS token_expiry DATETIME NULL;

-- Add is_verified column to users table if it doesn't exist
ALTER TABLE users 
ADD COLUMN IF NOT EXISTS is_verified BOOLEAN DEFAULT FALSE;

-- Add remember_token column to users table if it doesn't exist
ALTER TABLE users 
ADD COLUMN IF NOT EXISTS remember_token VARCHAR(100) NULL;

-- Add last_login column to users table if it doesn't exist
ALTER TABLE users 
ADD COLUMN IF NOT EXISTS last_login DATETIME NULL;

-- Set all existing users as verified
UPDATE users SET is_verified = TRUE WHERE is_verified IS NULL OR is_verified = FALSE;